--- title: "getDetail" slug: "analytics-dataforest-apps-getdetail" tags: ["Data Forest", "Apps"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-dataforest-apps-getdetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getDetail Available in VPC Get details of the Data Forest app. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/apps/getDetail | ### Request headers For information about the headers common to all Data Forest APIs, see [Data Forest request headers](/docs/en/analytics-dataforest#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | Required | App's unique identifier - 0-22 characters - UUID converted to Base62 format - See [getList](/docs/en/analytics-dataforest-apps-getlist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://df.apigw.ntruss.com/api/v2/apps/getDetail' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "id": "***ziexhg0FcWx5eGUA***" }' ``` ## Response This section describes the response format. ### Response body See [GetAppDetailResponse](/docs/en/common-vapidatatype-getappdetailresponse) for the response body. ### Response status codes For information about the HTTP status codes common to all Data Forest APIs, see [Data Forest response status codes](/docs/en/analytics-dataforest#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "success": true, "id": "***ziexhg0FcWx5eGUA***", "appId": "***ziexhg0FcWx5eGUA***", "name": "app001", "appTypeId": "DEV-1.0.0", "version": "v1", "lifetime": "7 days, 0:0:0 (604800 seconds)", "queueName": "longlived", "description": "DEV-1.0.0", "state": "RUNNING", "links": { "shell": "https://*****--*****--shell--8080.df-proxy.kr.ch.naverncp.com", "supervisor": "https://*****--*****--shell--9001.df-proxy.kr.ch.naverncp.com" }, "components": [ { "name": "shell", "state": "STABLE", "memoryMb": 1, "cpuCount": 1, "image": "********.kr.private-ncr.ntruss.com/dfnew-env:20241217", "containers": [ { "id": "container_***_***5213280***_0231_01_000002", "name": "shell-0", "state": "READY", "hostName": "shell-0.*****.*****.kr.ch.naverncp.com" } ] } ] } ```